Unit tmnb6r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB6R_p, MNB6R_p;

function tmnb6r: String;

implementation

function tmnb6r: String;
var
NP1,I,IERR :Integer;
FF :Real;
X :Array [0..19] of Real;
XCEN :Array [0..3] of Real;
Z :Array [0..4] of Real;
XREF :Array [0..3] of Real;
XCON :Array [0..3] of Real;
XEX :Array [0..3] of Real;
XX :Array [0..3] of Real;
const
ALFA :Real = 1.0;
BETA :Real = 0.5;
GAM :Real = 2.0;
N :Integer = 4;
ITMAX :Integer = 10000;
MAXK :Integer = 2500;
ACC :Real = 1.0E-09;
A :Real = 1.0;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
XX[0] := -1.0;
XX[1] := -2.0;
XX[2] := -3.0;
XX[3] := -4.0;
NP1 := N+1;
for I:=1 to N do
 begin
  Result := Result + Format('  X(%3d ) = %20.16f ',
 [I,XX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
MNB6R(N,NP1,ITMAX,ALFA,BETA,GAM
     ,ACC,A,X,XCEN,Z,XREF,XCON,XEX,XX,FF,MAXK,FMNB6R,IERR);
Result := Result + Format('%s',['  IERR = ']);
Result := Result + Format('%2d ',[IERR]) + #$0D#$0A;
Result := Result + Format('  %4d ',[ITMAX]);
Result := Result + Format('%s',['  TEPA']);
Result := Result + Format('  %4d ',[MAXK]);
Result := Result + Format('%s',['  BCEH YHK']);
Result := Result + Format('%s',['  F(X) = ']);
Result := Result + Format('%20.16f ',[FF]) + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('  X(%3d ) = %20.16f ',
 [I,XX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmnb6r',Result);  {     tmnb6r.res }
exit;
end;

end.
